import React, { FC } from 'react';
import { AppBar, Toolbar, Button } from '@material-ui/core';
import { makeStyles } from '@material-ui/core/styles';
import { Home, ImportContacts } from '@material-ui/icons';

const useStyles = makeStyles((theme) => ({
  button: {
    margin: theme.spacing(1),
    color: theme.palette.getContrastText('#000000'),
    outline: theme.palette.getContrastText('#000000'),
  },
}));

export const Header: FC = () => {
  const classes = useStyles();

  return (
    <AppBar position="static">
      <Toolbar>
        <Button
          variant="outlined"
          className={classes.button}
          startIcon={<Home />}
        >
          Home
        </Button>
        <Button
          variant="outlined"
          className={classes.button}
          startIcon={<ImportContacts />}
        >
          Reservation
        </Button>
      </Toolbar>
    </AppBar>
  );
};
